// SmultronKit, www.peterborgapps.com/smultron
// Copyright © 2004-2015 Peter Borg Apps AB

#import "SmultronKit.h"

@interface SMLBasic : NSObject {

}

+ (NSString *)genererateTemporaryPath;
+ (BOOL)isDocumentUbiquitous:(id)theDocument;
+ (BOOL)isURLUbiquitous:(NSURL *)url;
+ (void)negateDefault:(NSString *)key;
+ (NSString *)guessSyntaxDefinitionFromFirstLine:(NSString *)firstLine;
+ (NSArray *)allAvailableStringEncodings;
+ (NSMutableArray *)convertArrayOfDictionariesIntoMutable:(NSArray *)array;
+ (BOOL)shouldSyncKeyValue;
+ (NSUInteger)numberOfCharactersInString:(NSString *)string;
+ (NSUInteger)numberOfCharactersInSelection:(id)theTextView;
+ (void)coalesceSelector:(SEL)selector target:(id)target;
+ (void)replaceTextWithUndoInTextView:(id)textView range:(NSRange)range withReplacement:(NSString *)replacementText;
//+ (NSString *)createUUID;
+ (NSURL *)localDocumentsDirectoryURL;
+ (BOOL)isURL:(NSURL *)url1 equalToURL:(NSURL *)url2;
+ (BOOL)sameDictionariesInArray:(NSArray *)firstArray comparedToArray:(NSArray *)secondArray;
+ (NSString *)localizedFormatedStringFromInteger:(NSUInteger)integer;
+ (id)colorFromArray:(NSArray *)array;
+ (NSString *)stringFromFont:(id)theFont;
+ (id)fontFromString:(NSString *)fontString;

#if !TARGET_OS_IPHONE
+ (NSString *)runCommand:(NSString *)command;
+ (NSString *)defaultApplicationForURL:(NSURL *)url;
+ (NSString *)defaultLocalizedApplicationNameForURL:(NSURL *)url;
+ (SMLUserInterfaceDirection)whichUserInterfaceDirection;
+ (BOOL)isWindowFullScreen:(NSWindow *)window;
+ (void)removeAllItemsFromMenu:(NSMenu *)menu;
+ (NSImage *)quickLookIconForURL:(NSURL *)url width:(CGFloat)width height:(CGFloat)height;
+ (NSArray *)arrayFromColor:(NSColor *)color;
#endif

#if TARGET_OS_IPHONE
+ (BOOL)isConnected;
+ (void)removeCheckMarksInTableView:(UITableView *)tableView;
+ (void)standardAlertWithTitle:(NSString *)title message:(NSString *)message fromViewController:(UIViewController *)viewController;
+ (NSString *)encodingNameForEncoding:(NSStringEncoding)encoding;
+ (UIImage *)imageFromView:(UIView *)view size:(CGSize)size;
#endif

@end
